Name:             owasp-esapi-java
Version:          2.1.0
Release:          9%{?dist}
Summary:          OWASP Enterprise Security API
License:          BSD
URL:              https://www.owasp.org/index.php/Main_Page
# 3.x series is available @ https://github.com/ESAPI/esapi-java/
Source0:          https://github.com/ESAPI/esapi-java-legacy/archive/esapi-%{version}.tar.gz

# Antisammy is not available
Patch0:           0001-Remove-validator-implementation-bsed-on-Antisammy.patch
# Use different directory in tests
Patch1:           0002-Use-different-directory-to-testing-bin-is-a-symlink.patch
# Missing implementations
Patch2:           0003-Implement-missing-servlet-3.0-methods-in-mock.patch
Patch3:           owasp-esapi-java-2.1.0-servlet3.1.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(commons-beanutils:commons-beanutils-core)
BuildRequires:    mvn(commons-collections:commons-collections)
BuildRequires:    mvn(commons-configuration:commons-configuration)
BuildRequires:    mvn(commons-fileupload:commons-fileupload)
BuildRequires:    mvn(commons-io:commons-io)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.tomcat:tomcat-jsp-api)
BuildRequires:    mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires:    mvn(org.beanshell:bsh)
BuildRequires:    mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:    mvn(xom:xom)

%description
OWASP ESAPI (The OWASP Enterprise Security API) is a free, open source,
web application security control library that makes it easier for programmers
to write lower-risk applications. The ESAPI for Java library is designed to
make it easier for programmers to retrofit security into existing applications.
ESAPI for Java also serves as a solid foundation for new development. 

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package doc
Summary:          Documentation for %{name}
License:          CC-BY-SA

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q -n esapi-java-legacy-esapi-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Plugin not available
%pom_remove_plugin "org.codehaus.mojo:versions-maven-plugin"
# Unwanted task
%pom_remove_plugin "org.apache.maven.plugins:maven-eclipse-plugin"

# Atisammy not available
%pom_remove_dep "org.owasp.antisamy:antisamy"

%pom_change_dep ":bsh-core" "org.beanshell:bsh"

%pom_change_dep ":log4j" "::12"
%pom_change_dep "javax.servlet:jsp-api" "org.apache.tomcat:tomcat-jsp-api"
%pom_change_dep "javax.servlet:servlet-api" "org.apache.tomcat:tomcat-servlet-api"

sed -i "s|public void testSetCookie()|public void ignoredSetCookie()|" src/test/java/org/owasp/esapi/reference/HTTPUtilitiesTest.java

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE LICENSE-README

%files javadoc -f .mfiles-javadoc
%license LICENSE LICENSE-README

%files doc
%doc documentation/*
%license LICENSE-CONTENT LICENSE-README

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb 09 2016 gil cattaneo <puntogil@libero.it> 2.1.0-5
- fix FTBFS (rhbz#1239754,1307844)
- fix Url and Source0 fields
- use BRs mvn()-like
- adapt to current guideline
- install license files

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 05 2015 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-2
- Make sure it builds also for Fedora 20

* Mon Jan 05 2015 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upgrade to 2.1.0

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-12
- xmvn update + switch to junit

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.1-10
- Use Requires: java-headless rebuild (#1067528)

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-9
- New guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-7
- Added missing BR
- Skipping one test

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Nov 14 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-4
- Use servlet 3.0

* Wed Oct 10 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-3
- Added two BR

* Wed Oct 10 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-2
- Using build-classpath
- Fixed doc subpackage R

* Mon Oct 08 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.1-1
- Initial packaging

